## org.eclipse.ocl.expressions
Interface TupleLiteralPart<C,P>

All Superinterfaces:
  ASTNode, EObject, Notifier, TypedASTNode, TypedElement<C>, Visitable

All Known Subinterfaces:
  TupleLiteralPart

All Known Implementing Classes:
  TupleLiteralPartImpl, TupleLiteralPartImpl

    public interface TupleLiteralPart<C,P>

extends TypedElement<C>, Visitable, TypedASTNode

A representation of the model object 'Tuple Literal Part'.

The following features are supported:

- `Value`
- `Attribute`

See Also:
  `ExpressionsPackage.getTupleLiteralPart()`

Method Summary
`boolean` `checkValueType(DiagnosticChain diagnostics, Map<Object,Object> context)` attribute.type = value.type
`P` `getAttribute()` Returns the value of the 'Attribute' reference
`OCLExpression<C>` `getValue()` Returns the value of the 'Value' containment reference
`void` `setAttribute(P value)` Sets the value of the '`Attribute`' reference
`void` `setValue(OCLExpression<C> value)` Sets the value of the '`Value`' containment reference

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.TypedASTNode
`getTypeEndPosition, getTypeStartPosition, setTypeEndPosition, setTypeStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Method Detail

### getValue

    OCLExpression<C> getValue()

  Returns the value of the 'Value' containment reference.

  If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(OCLExpression)`, `ExpressionsPackage.getTupleLiteralPart_Value()`

### setValue

    void setValue(OCLExpression<C> value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`

### getAttribute

    P getAttribute()

  Returns the value of the 'Attribute' reference.

  If the meaning of the 'Attribute' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `setAttribute(Object)`, `ExpressionsPackage.getTupleLiteralPart_Attribute()`

### setAttribute

    void setAttribute(P value)

  Sets the value of the '`Attribute`' reference.

  Parameters:
    `value` - the new value of the 'Attribute' reference.
  See Also:
    `getAttribute()`

### checkValueType

    boolean checkValueType(DiagnosticChain diagnostics,
                           Map<Object,Object> context)

  attribute.type = value.type

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.